// filter style

@use 'fun';

// blur() brightness() contrast() drop-shadow() grayscale()
// hue-rotate() invert() opacity() saturate() sepia()
@mixin filter($value) {
  filter: $value;
}

@mixin blur($value) {
  @include filter(blur($value));
}

@mixin brightness($value) {
  @include filter(brightness($value));
}

@mixin contrast($value) {
  @include filter(contrast($value));
}

@mixin drop-shadow($value) {
  @include filter(drop-shadow($value));
}

@mixin grayscale($value) {
  @include filter(grayscale($value));
}

@mixin hue-rotate($value) {
  @include filter(hue-rotate($value));
}

@mixin invert($value) {
  @include filter(invert($value));
}

@mixin saturate($value) {
  @include filter(saturate($value));
}

@mixin sepia($value) {
  @include filter(sepia($value));
}

// see filter
@mixin backdrop-filter($value) {
  backdrop-filter: $value;
}

@mixin backdrop-blur($value) {
  @include backdrop-filter(blur($value));
}

@mixin backdrop-brightness($value) {
  @include backdrop-filter(brightness($value));
}

@mixin backdrop-contrast($value) {
  @include backdrop-filter(contrast($value));
}

@mixin backdrop-drop-shadow($value) {
  @include backdrop-filter(drop-shadow($value));
}

@mixin backdrop-grayscale($value) {
  @include backdrop-filter(grayscale($value));
}

@mixin backdrop-hue-rotate($value) {
  @include backdrop-filter(hue-rotate($value));
}

@mixin backdrop-invert($value) {
  @include backdrop-filter(invert($value));
}

@mixin backdrop-saturate($value) {
  @include backdrop-filter(saturate($value));
}

@mixin backdrop-sepia($value) {
  @include backdrop-filter(sepia($value));
}
